Subject: Re: [PATCH 07/10] contrib: remove "persistent-https" remote helper

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 May 2025 13:25:45 -0700

Patrick Steinhardt <[email-masked]> writes:

> The "persistent-https" remote helper supposedly speeds up SSL operations
> by running a daemon that keeps a connection open to a remote server. It
> is effectively unmaintained nowadays: the last time it received an
> update was in accb613afd2 (contrib/persistent-https: use Git version for
> build label, 2016-07-20) and its parent commits to make it compile with
> Go 1.7+.

Unlike other ones you said "haven't been touched" and I responded
with "that alone is not a reason it is stale and useless", the above
description clearly shows that it has bitrotted.

If somebody wants to use it as a reference to build their own remote
helper, they can always go back in the history to find the copy.

Let's remove it.